Loading...
Searching...
No Matches
casacore::WrapperData_VF< T, Vector< T >, T, True, False > Class Template Reference
scimath package (libcasa_scimath) » Functionals_module

Specialization for calls with argument and no parameters. More...

`#include <WrapperData.h>`

## Public Member Functions

| WrapperData_VF (T(*f)(const Vector< T > &), uInt dim=1)
virtual | ~WrapperData_VF ()
virtual T | eval (typename Function< T >::FunctionArg x, const Vector< T > &) const
| Evaluate the function at x.
Public Member Functions inherited from casacore::WrapperBase< T >
| WrapperBase ()
| Default constructor: zero dimension.
| WrapperBase (const uInt dim)
| Standard constructor.
virtual | ~WrapperBase ()
| Destructor.
virtual uInt | ndim () const
| Get the dimensionality.

## Protected Attributes

T(* | pf_p )(const Vector< T > &)
Protected Attributes inherited from casacore::WrapperBase< T >
uInt | ndim_p
| Dimensionality.
Vector< T > | arg_p
| Vector argument interface.

## Private Types

typedef WrapperData_VF< T, Vector< T >, T, True, False > | myData

## Private Member Functions

| WrapperData_VF (const myData &other)
myData & | operator= (const myData &other)

## Detailed Description

template<class T>
class casacore::WrapperData_VF< T, Vector< T >, T, True, False >

Specialization for calls with argument and no parameters.

### Synopsis

Note that the actual name of the class is WrapperData. The special name is only for the use of cxx2html.

Definition at line 402 of file WrapperData.h.

## Member Typedef Documentation

## myData

template<class T>

typedef WrapperData_VF<T,Vector<T>,T,True,False> casacore::WrapperData_VF< T, Vector< T >, T, True, False >::myData

private

Definition at line 404 of file WrapperData.h.

## Constructor & Destructor Documentation

## WrapperData_VF() [1/2]

template<class T>

casacore::WrapperData_VF< T, Vector< T >, T, True, False >::WrapperData_VF | ( | T(* | f )(const Vector< T > &),
|  | uInt | dim = 1 )

inline explicit

Definition at line 407 of file WrapperData.h.

References pf_p, and casacore::WrapperBase< T >::WrapperBase().

## ~WrapperData_VF()

template<class T>

virtual casacore::WrapperData_VF< T, Vector< T >, T, True, False >::~WrapperData_VF | ( |  | ) |

inline virtual

Definition at line 409 of file WrapperData.h.

## WrapperData_VF() [2/2]

template<class T>

casacore::WrapperData_VF< T, Vector< T >, T, True, False >::WrapperData_VF | ( | const myData & | other | ) |

private

## Member Function Documentation

## eval()

template<class T>

virtual T casacore::WrapperData_VF< T, Vector< T >, T, True, False >::eval | ( | typename Function< T >::FunctionArg | x,
|  | const Vector< T > & | par ) const

inline virtual

Evaluate the function at x.

Implements casacore::WrapperBase< T >.

Definition at line 410 of file WrapperData.h.

References casacore::WrapperBase< T >::arg_p, casacore::WrapperBase< T >::ndim_p, and pf_p.

## operator=()

template<class T>

myData & casacore::WrapperData_VF< T, Vector< T >, T, True, False >::operator= | ( | const myData & | other | ) |

private

References casacore::WrapperBase< T >::arg_p, casacore::WrapperBase< T >::ndim_p, and casacore::WrapperBase< T >::WrapperBase().

## Member Data Documentation

## pf_p

template<class T>

T(* casacore::WrapperData_VF< T, Vector< T >, T, True, False >::pf_p) (const Vector< T > &)

protected

Definition at line 418 of file WrapperData.h.

Referenced by eval(), and WrapperData_VF().

The documentation for this class was generated from the following file:

- scimath/Functionals/WrapperData.h